icinga-web (1.13.1-1~ppa1) precise; urgency=medium

  * Update for my ppa

 -- Alexander Wirt <formorer@debian.org>  Tue, 09 Jun 2015 11:47:00 +0200

icinga-web (1.13.1-1) unstable; urgency=medium

  * [495cb9e] Imported Upstream version 1.13.1
  * [ac6701d] Update copyright and lintian

 -- Markus Frosch <lazyfrosch@debian.org>  Thu, 06 Aug 2015 15:56:56 +0200

icinga-web (1.13.0-1) unstable; urgency=medium

  * [14cee09] Imported Upstream version 1.13.0

 -- Alexander Wirt <formorer@debian.org>  Tue, 09 Jun 2015 10:37:25 +0200

icinga-web (1.12.0-1) unstable; urgency=medium

  [ Alexander Wirt ]
  * [1603edb] Fix enable feature for newer i2 versions

  [ Markus Frosch ]
  * [41cc4e4] Imported Upstream version 1.12.0
  * [a0f14b7] Improve and fail-safe icinga2 interaction
  * [462f171] Remove missing-sources, now shipped upstream

 -- Markus Frosch <lazyfrosch@debian.org>  Wed, 11 Mar 2015 15:24:23 +0100

icinga-web (1.11.2+dfsg1-1) unstable; urgency=medium

  [ Mert Dirik ]
  * [9ef4565] [INTL:tr] Turkish debconf template translation for icinga-web
    (Closes: #760331)

  [ Frans Spiesschaert ]
  * [6120efa] [INTL:nl] Dutch translation of debconf messages (Closes: #766186)

  [ Markus Frosch ]
  * [852c1bd] Imported Upstream version 1.11.2
  * [6ef7f88] DFSG cleaned upstream 1.11.2+dfsg1
  * [a4be74b] Fix wrong conflicts entry
  * [be114f0] Make sure to delete left over config files
  * [b7d9b57] Add linitian ignore for proper Apache backward compatibility
  * [08970c7] Bump Standards version

 -- Markus Frosch <lazyfrosch@debian.org>  Sun, 26 Oct 2014 12:39:38 +0100

icinga-web (1.11.1-2) unstable; urgency=medium

  * [8f41dce] Avoid confusion of Linitian with donation HTML code in comments
  * [8e87a20] Split configuration of IDO connection to separate packages
  * [a85f558] Add NEWS entry for config split
  * [c6cff5a] Use proper patches for configuration changes
  * [c96f5f5] Setup commandpipe for Icinga2
  * [a7d577c] Update README.Debian
  * [bc786a0] Update copyright
  * [157f8c8] Remove generated configs on postrm remove
  * [dc82307] Fix setperm in postinst

 -- Markus Frosch <lazyfrosch@debian.org>  Tue, 09 Sep 2014 14:58:03 +0200

icinga-web (1.11.1-1) unstable; urgency=medium

  * [9682a38] Imported Upstream version 1.11.1
  * [182412b] Update lintian-overrides of icinga-web binary
  * [d1a9c5f] Add, override and clarify missing source files
  * [6985ff8] Clarify source-is-missing for some prettify.js source files
  * [49e920b] Update copyright years and maintainer mail address
  * [dc3a26e] Clean old fix from rules
  * [f87b670] Remove pub/api/ from binary package - no longer needed

 -- Markus Frosch <lazyfrosch@debian.org>  Tue, 05 Aug 2014 17:31:54 +0200

icinga-web (1.11.0-2) unstable; urgency=medium

  * [f15ab5b] Fix disabled Reporting Cronk's category (Closes: #744053)
  * [9377932] Only recommend/suggest pnp4nagios

 -- Markus Frosch <markus@lazyfrosch.de>  Wed, 23 Apr 2014 18:35:05 +0200

icinga-web (1.11.0-1) unstable; urgency=medium

  * [ccfbae3] Imported Upstream version 1.11.0
  * [8bebe6f] Package updates for 1.11.0

    Warning: Icinga IDO >= 1.11.0 is required!

 -- Markus Frosch <markus@lazyfrosch.de>  Thu, 13 Mar 2014 17:32:02 +0100

icinga-web (1.10.1-1) unstable; urgency=medium

  * [a65c068] Imported Upstream version 1.10.1
  * [a85c19d] Added database schema updates for 1.10.1
  * [0d47dfe] Added lintian override for irrelevant privacy-breach-donation
  * [f6c0957] Bumped standards to 3.9.5
  * [6a4d77c] Added updated watch file for GitHub releases
  * [4ba4364] Added php5-mysqlnd as an alternative MySQL driver
    (Closes: #735969)

 -- Markus Frosch <markus@lazyfrosch.de>  Wed, 19 Feb 2014 18:10:58 +0100

icinga-web (1.10.0-2) unstable; urgency=medium

  * [9d4c780] Removed unnecessary dependency on icinga-core (Closes: #731840)
  * [2a9455c] Define icinga-web breaking icinga-idoutils (<< 1.10)
              This blocks the user from using icinga-web with an old and
              outdated IDO schema - it could cause still problems when using
              a remote IDO database, but helps to block incomplete Icinga
              upgrades on a single server.

              Please also see the NEWS entry! (Closes: #732058)

 -- Markus Frosch <markus@lazyfrosch.de>  Sat, 14 Dec 2013 18:02:02 +0100

icinga-web (1.10.0-1) unstable; urgency=low

  * [7dae107] Imported Upstream version 1.10.0 (Closes: #719859)
              DFSG tarball no longer required
  * [31e2756] Removed patch 21_yui_chartsswf - upstream doesn't use SWF anymore
  * [d370ed9] Updated packaging for 1.10.0
  * [ee59fb7] lintian: ignoring apache2 warnings
  * [d3240e5] Made icinga-idoutils a recommendation,
              while requiring at least 1.10.0 (Closes: #678350)

 -- Markus Frosch <markus@lazyfrosch.de>  Fri, 25 Oct 2013 20:31:59 +0200

icinga-web (1.9.2+dfsg1-1) unstable; urgency=low

  * [d02e61f] Imported Upstream version 1.9.2
  * [aae265c] DFSG cleaned upstream version 1.9.2+dfsg1

 -- Markus Frosch <markus@lazyfrosch.de>  Mon, 07 Oct 2013 15:59:59 +0200

icinga-web (1.9.1+dfsg1-1) unstable; urgency=low

  * [08222f1] Imported Upstream version 1.9.1
  * [e1e2b92] DFSG cleaned upstream version 1.9.1+dfsg1
  * [2dca23c] Cleaned up installation of docs

 -- Markus Frosch <markus@lazyfrosch.de>  Sun, 08 Sep 2013 19:04:20 +0200

icinga-web (1.9.0+dfsg1-3) unstable; urgency=low

  * [e45ba7d] Make debconf stop explicitly at the end of post*
              to avoid breaking when restarting Apache2
              see #713967

 -- Markus Frosch <markus@lazyfrosch.de>  Wed, 03 Jul 2013 14:30:41 +0200

icinga-web (1.9.0+dfsg1-2) unstable; urgency=low

  * [74c7e99] Added php5-json as a Dependency (Closes: #713220)
  * [4e59689] Fix usage of wrong dbc_dbserver variable in postinst
  * [adf9c48] Removed debconf integration for httpd selection
  * [263996a] Removed debconf templates for httpd selection
  * [d3bd710] Added support for Apache 2.4 config integration
              (Closes: #714537)
  * [4d8b05d] Updated README.Debian with Apache2 changes

 -- Markus Frosch <markus@lazyfrosch.de>  Sun, 30 Jun 2013 20:17:04 +0200

icinga-web (1.9.0+dfsg1-1) unstable; urgency=low

  * [e8ce6b5] Imported Upstream version 1.9.0
  * [3535d71] added database schema for 1.9.0
  * [435cae2] switched to Apache2 configuration coming from upstream
  * [020f7f4] Switched to new build prefix and updated paths in install
  * Merged back wheezy related changes into unstable
    and reintegrated them with the latest changes
  * [f5f36b2] Updated patch 21_yui_chartsswf for 1.9.0

 -- Markus Frosch <markus@lazyfrosch.de>  Wed, 08 May 2013 16:50:31 +0200

icinga-web (1.8.3-1) experimental; urgency=low

  * [bba67b0] Removing own symlinks to nagios-images.
    The links are now provided by nagios-images itself
  * [4aa93b9] Imported Upstream version 1.8.3
  * [1e1e363] Debian package updates for 1.8.3

 -- Markus Frosch <markus@lazyfrosch.de>  Mon, 25 Mar 2013 16:41:30 +0100

icinga-web (1.8.2-1) experimental; urgency=low

  * [5a03f8a] bump standards version
  * [14c51bc] Imported Upstream version 1.8.2
  * [e80aa3c] Updated module_reporting.xml to match upstream
  * [f97dab8] remove deprecated soap interface

 -- Markus Frosch <markus@lazyfrosch.de>  Tue, 12 Feb 2013 17:48:09 +0100

icinga-web (1.8.1-1) experimental; urgency=low

  * [5f0e216] Debconf language update for ja (Japanese)
    Thanks to victory (Closes: #693061)
  * [aede6fb] changed root password update
    the password now will only be set after it
    has been changed via dpkg-reconfigure
  * [3e161a1] updated templates for new password behavior
  * [74b5d9b] password update now via flag, not a extra template
  * [f17211e] Imported Upstream version 1.8.1
  * [2f1cc10] Updates for upstream 1.8.1
  * [b6c0d4c] added README.source

 -- Markus Frosch <markus@lazyfrosch.de>  Mon, 6 Dec 2012 19:07:11 +0100

icinga-web (1.8.0-1) experimental; urgency=low

  * [265f0d7] Imported Upstream version 1.8.0~beta
  * [7739702] updated watch file for dfsg tarballs
  * [1dbaec2] updated rules for 1.8.0 (CHANGELOG + DB)
  * [9da2d75] added gbp.conf
  * [b72c159] added reference to icinga-idoutils to README
  * [4719f36] patch 10_db_version_fix no longer needed for 1.8.0
  * [fe9868e] patch 20_pgsql_statusquery_fix is now upstream
  * [dc543c0] add build-dependencies php5-cli and php5-xsl
  * [98e0f8b] more rules changes
  * [02e787f] Imported Upstream version 1.8.0

 -- Markus Frosch <markus@lazyfrosch.de>  Thu, 18 Oct 2012 21:46:24 +0200

icinga-web (1.7.2-1) experimental; urgency=low

  * [acc4449] optimized apache2.conf
              some regexp stuff, cleanup and comments
  * [45f3cb4] Imported Upstream version 1.7.2
  * [f5b5dcc] removed patch 20_squishloader_gzip_off
              now upstream in 1.7.2
  * [6a24d99] updated patch 10_db_version_fix for Jessie
  * [6e3850c] apache2.conf - avoid usage of submatching patterns
              (Closes: #683126)
  * [380ebed] integrating icinga-doc as suggested package
              (Closes: #692358)
  * [1647481] added patch 20_pgsql_statusquery_fix
  * [1c7099f] added a cache path for reporting.
              Thanks to Oskar Liljeblad for suggesting it
              (Closes: 686336)
  * [a4a206f] integrated nagios-images, via symlinks and suggest
  * [ca8d3bc] some cleanup for lintian
  * [81e0670] removed unneeded quilt dependency

 -- Markus Frosch <markus@lazyfrosch.de>  Mon, 14 Sep 2012 17:56:05 +0200

icinga-web (1.7.1+dfsg2-6) unstable; urgency=high

  * [bb01a46] Security fix for a YUI library issue

    Two .swf files has been removed from the Debian package
    and the Flash supported chart feature is disable for now.

    In addition a upstream patch was applied to allow the user
    to use the feature with a newer .swf resource if he wants
    to.

    Please see README.Debian for instructions

    Closes: #694262
    Closes: #694641

  * [4ec39a9] DFSG cleaned upstream 1.7.1+dfsg2
    SWF binary files has been removed from tarball

 -- Markus Frosch <markus@lazyfrosch.de>  Wed, 29 Nov 2012 00:17:41 +0100

icinga-web (1.7.1+dfsg1-5) unstable; urgency=high

  * [4cc829d] DFSG cleaned upstream 1.7.1+dfsg1
              Removed JSmin from upstream tarball
              due to non-free license  Closes: #689764
  * [795fde4] added gbp.conf for wheezy branch
  * [bca5fb8] updated watch file for dfsg tarballs

 -- Markus Frosch <markus@lazyfrosch.de>  Mon, 08 Oct 2012 14:52:10 +0200

icinga-web (1.7.1-4) unstable; urgency=low

  * [3b184da] fixed postrm to avoid breaking on
              non installed ucf dependency Closes: #683650

 -- Markus Frosch <markus@lazyfrosch.de>  Thu, 02 Aug 2012 17:55:02 +0200

icinga-web (1.7.1-3) unstable; urgency=low

  [ language updates by the languages teams ]
  * [b32e4c0] Debconf templates and debian/control reviewed by the
              debian-l10n-english team as part of the Smith review
              project. Closes: #677843
  * [79894b9] Debconf translation updates
    * Spanish; (Jathan).  Closes: #679598, #680319
    * Danish (Joe Hansen).  Closes: #679609
    * Russian (Yuri Kozlov).  Closes: #679610
    * Czech (Michal Simunek).  Closes: #679702
    * Slovak (Ivan Masár).  Closes: #679807
    * Portuguese (Pedro Ribeiro).  Closes: #680127
    * French (Steve Petruzzello).  Closes: #680338
    * German (Martin Eberhard Schauer).  Closes: #680501
    * Polish (Michał Kułach).  Closes: #680525
    * Swedish (Martin Bagge / brother).  Closes: #680559
    * Italian (Beatrice Torracca).  Closes: #680570
    * Spanish; (Jonathan Bustillos).  Closes: #680575
  * Big thanks to the language teams!

 -- Alexander Wirt <formorer@debian.org>  Wed, 01 Aug 2012 20:40:28 +0200

icinga-web (1.7.1-2) unstable; urgency=low

  [ Markus Frosch ]
  * [3fa4d46] added patch 20_squishloader_gzip_off
              upstream patch for problems with long loading
              times caused by Squishloader
  * [3a64851] updated postinst to avoid breaking due to errors
  * [728bbcc] now using dbconfig-common functions for updating
              the root password - better database support
  * [d345062] disabled root password stuff when dbconfig is not chosen
  * [0f9867a] added kind of support for PostgreSQL socket
              connections with ident (Closes: #678221)(Closes: #679338)
              Please see README.Debian for more information!
  * [a58845a] included htaccess stuff into apache2.conf
              and some further tuning (Closes: #679340)
  * [e4a41f0] updated README.Debian with info about clearcache
  * [f4a2881] moved cache dir to /var/cache/icinga-web
              and some safe cleanup for the old (Closes: #679341)

 -- Alexander Wirt <formorer@debian.org>  Fri, 29 Jun 2012 22:49:22 +0200

icinga-web (1.7.1-1) unstable; urgency=low

  [ Markus Frosch ]
  * [69c7ff2] fixed overwrite of some default configs
  * [f5f08e9] now updating user_modified when setting user password
  * [79b2588] Imported Upstream version 1.7.1
  * [c41e91f/670ce5b] pgsql install script and db upgrade to 1.7.1
  * [ac6187c] added patch 10_db_version_fix for fixing database
              version string in updates
  * [4b12ae9] fixed root password update bug when /root/.my.cnf
              exists and contains credentials (Closes: #677844)
  * [8253475] added partial update for l10n recommendations
              (Updates: #677843)
  * [ddc313f] fixed URI escape so URI::Escape is no longer needed
              (Closes: #678266)
  * [fd36c40] changed patch 10_db_version_fix - only update pgsql to 1.7.1
  * [4094863] removed extra installation of database schemas

 -- Alexander Wirt <formorer@debian.org>  Wed, 20 Jun 2012 23:45:15 +0200

icinga-web (1.7.0-2) unstable; urgency=low

  [ Alexander Wirt ]
  * [ffa914d] wrap-and-sort
  * [2c27192] Adapt upload and maintainer to the
              other pkg-nagios packages

  [ Markus Frosch ]
  * [6b04c67] removed unneeded quilt dependency
  * first release for official Debian (Closes: #618807)
  * added support for PostgreSQL in auto configuration
  * new descriptions for the control file
  * added config system for root password (of Icinga Web)
  * added config select for webserver configuration
  * updated README.Debian
  * changed maintainer mail address
  * updated database auto configuration to support special chars in password
  * changed file permission settings for config files

 -- Alexander Wirt <formorer@debian.org>  Thu, 14 Jun 2012 23:49:44 +0200

icinga-web (1.7.0-1~netwaysx0) unstable; urgency=low

  * fixed cache dir removal by prerm script

 -- Markus Frosch <markus.frosch@netways.de>  Fri, 18 May 2012 18:13:26 +0200

icinga-web (1.7.0-1~netways) unstable; urgency=low

  * merged upstream version 1.7.0
  * patch "pnp-hosts-url" was fixed in upstream
  * removed icinga-web-bp from this source package
  * Jasper Reporting is now disabled by default
  * idoutils database connection is now on autoconfiguration
    depending on the icinga-idoutils package
  * better configuration files for the database connections
  * better dependencies on other packages

 -- Markus Frosch <markus.frosch@netways.de>  Fri, 18 May 2012 11:07:41 +0200

icinga-web (1.6.2-2~netways) unstable; urgency=low

  * added PNP Plugin
  * added BP plugin
  * moved clearcache script
  * cleaned up maintainer scripts
  * modified package for git-buildpackage

 -- Markus Frosch <markus.frosch@netways.de>  Thu, 10 May 2012 10:48:39 +0200

icinga-web (1.6.2-1~netways) unstable; urgency=low

  * initial release and testing

 -- Markus Frosch <markus.frosch@netways.de>  Wed, 02 May 2012 16:55:22 +0200
